update skiboot to 5.4.3 in xenial

Bug #1701698 reported by bugproxy on 2017-06-30
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Unassigned
skiboot (Ubuntu)
High
Steve Langasek
Xenial
High
Łukasz Zemczak

Bug Description

[Impact]

skiboot is a hardware enablement component used by certain POWER systems and should be kept up-to-date on LTS releases. The new upstream version of skiboot is required for xenial to support the new POWER9 systems.
The new upstream version update was requested by upstream and includes only hardware enablement changes and bugfixes, making it an ideal case for a new microrelease backport.

[Test Case]

On a supported system, upgrade opal-prd and opal-utils. Reboot and verify that system works as expected. Verify that the opal-prd service is running with `systemctl status opal-prd`, make sure there are no worrying error messages in the logs.

[Regression Potential]

Any new upstream release can introduce potential regressions. The opal-prd service is used for diagnostics and runtime maintenance of POWER systems, meaning a critical regression can cause the system being unusable.
The requested release is in zesty since the end of May 2017 and no critical issues have been reported so far. Also, seeing that the package is still in universe and only targets specific ppc64el hardware, in the case of a regression the number of affected users should be relatively low.

[Original Description]

Dear Canonical,

Current skiboot version on Xenial is not enough to full support POWER9 machines, and the backport is not trivial, since it involves a lot of commit,

We would like to migrate skiboot version 5.4.3, from Zesty into xenial-updates, if possible.

Thank you,

bugproxy (bugproxy) on 2017-06-30
tags: added: architecture-ppc64le bugnameltc-156290 severity-high targetmilestone-inin16043
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → skiboot (Ubuntu)
Manoj Iyer (manjo) on 2017-06-30
Changed in skiboot (Ubuntu):
assignee: Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage) → Steve Langasek (vorlon)
Steve Langasek (vorlon) on 2017-07-06
Changed in skiboot (Ubuntu):
status: New → Fix Released
Changed in skiboot (Ubuntu Xenial):
assignee: nobody → Steve Langasek (vorlon)
importance: Undecided → High
milestone: none → ubuntu-16.04.3
status: New → Triaged
Steve Langasek (vorlon) on 2017-07-06
summary: - upgrade skiboot version at Xenial
+ update skiboot to 5.4.3 in xenial
Changed in skiboot (Ubuntu Xenial):
assignee: Steve Langasek (vorlon) → Łukasz Zemczak (sil2100)
Changed in skiboot (Ubuntu Xenial):
status: Triaged → In Progress
description: updated
Łukasz Zemczak (sil2100) wrote :

The backport is waiting in the xenial SRU queue for review.

Manoj Iyer (manjo) on 2017-07-19
Changed in ubuntu-power-systems:
importance: Undecided → High
Changed in skiboot (Ubuntu):
importance: Undecided → High

Hello bugproxy, or anyone else affected,

Accepted skiboot into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/skiboot/5.4.3-1ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in skiboot (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-xenial
Manoj Iyer (manjo) on 2017-07-24
Changed in ubuntu-power-systems:
status: New → Fix Released
tags: added: triage-g
Łukasz Zemczak (sil2100) wrote :

I would appreciate some help in testing this new xenial upstream release. I do not have access to any POWER hardware so my tests would not be much worth - could anyone run the tests as per the Test Case and send test feedback? I would like to get this released before the point-release.

------- Comment From <email address hidden> 2017-07-25 10:24 EDT-------
Sorry about it, I can check it by the end of this week (in the worst case scenario).

Fred, if you have time and want to check it earlier, please go ahead and do it.

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-07-27 08:07 EDT-------
Hello Canonical,

I was able to test opal-prd version 5.4.3-1ubuntu0.16.04.1 on an Openpower machine with 16.04 and it worked as expected.

I tested the intialization, log and occ features. I am marking it as tested and I agree with migration it from -proposed archive.

Thank you,
Breno

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial

The verification of the Stable Release Update for skiboot has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package skiboot - 5.4.3-1ubuntu0.16.04.1

---------------
skiboot (5.4.3-1ubuntu0.16.04.1) xenial; urgency=medium

  * Backport latest upstream release to xenial. (LP: #1701698)
  * Merge the xenial and Debian changelogs.

 -- Łukasz 'sil2100' Zemczak <email address hidden> Tue, 11 Jul 2017 14:42:14 +0200

Changed in skiboot (Ubuntu Xenial):
status: Fix Committed → Fix Released
tags: added: id-595e85b4cc52f2847819e85c
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers